=== freeside-2.3.0/debian/changelog ===
freeside (2.3.0-1) UNRELEASED; urgency=low

  * New upstream release

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 25 Jul 2011 13:57:20 -0700

freeside (2.1.1-1) UNRELEASED; urgency=low

  * New upstream release

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 29 Sep 2010 15:50:39 -0700

freeside (2.1.0-1) UNRELEASED; urgency=low

  * New upstream release
  * New upstream release
  * New upstream release

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 25 May 2010 05:43:49 -0700

freeside (1.9.1-1) unstable; urgency=low

  * New upstream release

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 10 Oct 2009 19:41:01 -0700

freeside (1.9.0~cvs0-1) unstable; urgency=low

  * Initial release

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 02 Apr 2008 01:46:20 -0700
